ACL_DELETE_ENTRY(3)

NAME
acl_delete_entry - delete an ACL entry from an ACL

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_delete_entry(acl_t acl, acl_entry_t entry_d);

DESCRIPTION
The acl_delete_entry() function is a POSIX.1e call that removes the ACL entry entry_d from ACL acl.

RETURN VALUES

ERRORS
The acl_delete_entry() function fails if:

[EINVAL]
    Argument acl does not point to a valid ACL. Argument entry_d is not a valid descriptor for an ACL entry in acl.

SEE ALSO
acl(3), acl_copy_entry(3), acl_get_entry(3), posix1e(3)

STANDARDS
POSIX.1e is described in IEEE POSIX.1e draft 17.

HISTORY
POSIX.1e support was introduced in FreeBSD 4.0. The acl_delete_entry() function was added in FreeBSD 5.0.

AUTHORS
The acl_delete_entry() function was written by Chris D. Faulhaber <jedgar@fxp.org>.